<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>GTRACK_moduleConfig Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">GTRACK_moduleConfig Struct Reference<div class="ingroups"><a class="el" href="group___g_t_r_a_c_k___a_l_g.html">GTRACK Algorithm Library</a> &raquo; <a class="el" href="group___g_t_r_a_c_k___external.html">Externals</a> &raquo; <a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>GTRACK Configuration.  
 <a href="struct_g_t_r_a_c_k__module_config.html#details">More...</a></p>

<p><code>#include &lt;gtrack.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a6fab2e842f1b3d612a51c1107ba3f47e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fab2e842f1b3d612a51c1107ba3f47e"></a>
<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#a6fab2e842f1b3d612a51c1107ba3f47e">stateVectorType</a></td></tr>
<tr class="memdesc:a6fab2e842f1b3d612a51c1107ba3f47e"><td class="mdescLeft">&#160;</td><td class="mdescRight">State Vector Type. <br /></td></tr>
<tr class="separator:a6fab2e842f1b3d612a51c1107ba3f47e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c18e3d756bb2e1e42eb4abfd9c8bde7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c18e3d756bb2e1e42eb4abfd9c8bde7"></a>
<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga56ae787b8feff2425013007288693b14">GTRACK_VERBOSE_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#a9c18e3d756bb2e1e42eb4abfd9c8bde7">verbose</a></td></tr>
<tr class="memdesc:a9c18e3d756bb2e1e42eb4abfd9c8bde7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Verboseness Level. <br /></td></tr>
<tr class="separator:a9c18e3d756bb2e1e42eb4abfd9c8bde7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb9c8adc5de39909bb699707006c987e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb9c8adc5de39909bb699707006c987e"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#adb9c8adc5de39909bb699707006c987e">maxNumPoints</a></td></tr>
<tr class="memdesc:adb9c8adc5de39909bb699707006c987e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum Number of Measurement Points per frame. <br /></td></tr>
<tr class="separator:adb9c8adc5de39909bb699707006c987e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac191068dae6fb44943982385b9fe91fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac191068dae6fb44943982385b9fe91fb"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#ac191068dae6fb44943982385b9fe91fb">maxNumTracks</a></td></tr>
<tr class="memdesc:ac191068dae6fb44943982385b9fe91fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum Number of Tracking Objects. <br /></td></tr>
<tr class="separator:ac191068dae6fb44943982385b9fe91fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd3a1cea61ae01ec11601dadfc0c492e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd3a1cea61ae01ec11601dadfc0c492e"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#abd3a1cea61ae01ec11601dadfc0c492e">initialRadialVelocity</a></td></tr>
<tr class="memdesc:abd3a1cea61ae01ec11601dadfc0c492e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected target radial velocity at the moment of detection, m/s. <br /></td></tr>
<tr class="separator:abd3a1cea61ae01ec11601dadfc0c492e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57be316ba1136b92e39ad136333a22d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57be316ba1136b92e39ad136333a22d9"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#a57be316ba1136b92e39ad136333a22d9">maxRadialVelocity</a></td></tr>
<tr class="memdesc:a57be316ba1136b92e39ad136333a22d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum radial velocity reported by sensor +/- m/s. <br /></td></tr>
<tr class="separator:a57be316ba1136b92e39ad136333a22d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18b3a8587ff37d7fb8de76638747b823"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18b3a8587ff37d7fb8de76638747b823"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#a18b3a8587ff37d7fb8de76638747b823">radialVelocityResolution</a></td></tr>
<tr class="memdesc:a18b3a8587ff37d7fb8de76638747b823"><td class="mdescLeft">&#160;</td><td class="mdescRight">Radial Velocity resolution, m/s. <br /></td></tr>
<tr class="separator:a18b3a8587ff37d7fb8de76638747b823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb8a4cacc5e899f1b89a43f6f046b115"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb8a4cacc5e899f1b89a43f6f046b115"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#aeb8a4cacc5e899f1b89a43f6f046b115">maxAcceleration</a></td></tr>
<tr class="memdesc:aeb8a4cacc5e899f1b89a43f6f046b115"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum expected target acceleration, m/s2. <br /></td></tr>
<tr class="separator:aeb8a4cacc5e899f1b89a43f6f046b115"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80d469f7b58c0342ad61a5b70c1c3cf1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80d469f7b58c0342ad61a5b70c1c3cf1"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#a80d469f7b58c0342ad61a5b70c1c3cf1">deltaT</a></td></tr>
<tr class="memdesc:a80d469f7b58c0342ad61a5b70c1c3cf1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame rate, ms. <br /></td></tr>
<tr class="separator:a80d469f7b58c0342ad61a5b70c1c3cf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8cba455646b6ad01c6aa4ff94068218"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8cba455646b6ad01c6aa4ff94068218"></a>
<a class="el" href="struct_g_t_r_a_c_k__advanced_parameters.html">GTRACK_advancedParameters</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_g_t_r_a_c_k__module_config.html#ac8cba455646b6ad01c6aa4ff94068218">advParams</a></td></tr>
<tr class="memdesc:ac8cba455646b6ad01c6aa4ff94068218"><td class="mdescLeft">&#160;</td><td class="mdescRight">Advanced parameters, set to NULL for defaults. <br /></td></tr>
<tr class="separator:ac8cba455646b6ad01c6aa4ff94068218"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>GTRACK Configuration. </p>
<p>The structure describes the GTRACK algorithm configuration options. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="gtrack_8h.html">gtrack.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
